Subject: Re: [PATCH v3 2/5] submodule: add gitdir path config override

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Oct 2025 08:41:13 -0700

Junio C Hamano <[email-masked]> writes:

> Adrian Ratiu <[email-masked]> writes:
>
> [jc: brandon removed from CC list as the address would bounce]
>
>> This adds the ability to override gitdir paths via config files
>> (not .gitmodules) such that the encoding scheme (or plain text
>> name if the encoding extension is disabled) can be changed via
>> config entries.
>>
>> These entries are not added by default for all submodules: they
>> should be used on an as-needed basis.
>>
>> A new test and a helper are added. The helper will also be used
>> in further tests exercising gitdir encoding functionality.
>
> What is the use case of this?  The only reasonable use case I can
> see is to set this to all the existing submodules when you are
> switching the extension on before adding a new submodule, in which
> case the old ones will keep using unencoded names, while the new
> ones will use encoded ones.

Two things.

 * I no longer mind this setting existing, but I think it should not
   be a mere "override", but the authoritative source of truth for
   all submodules (see my other response on 0/5).

 * The documentation part of this patch says submodule.<name>.gitdir,
   but what the code implements is submodule.<name>.gitdirpath.

Thanks.